CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2016-9577

A vulnerability was discovered in SPICE before 0.13.90 in the server's protocol handling. An authenticated attacker could send crafted messages to the SPICE server causing a heap overflow leading to a crash or possible code execution.
Publish Date : 2018-07-27 Last Update Date : 2019-10-09
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.5
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Single system (The vulnerability requires an attacker to be logged into the system (such as at a command line or via a desktop session or web interface).)
Gained Access None
Vulnerability Type(s) Execute CodeOverflow
CWE ID 119

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2017:0253: spice-server security update (Moderate) oval:com.redhat.rhsa:def:20170253 unix
RHSA-2017:0254: spice security update (Moderate) oval:com.redhat.rhsa:def:20170254 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2016-9577

# Product Type Vendor Product Version Update Edition Language
1 OS Debian Debian Linux 8.0 Version Details Vulnerabilities
2 OS Redhat Enterprise Linux Desktop 6.0 Version Details Vulnerabilities
3 OS Redhat Enterprise Linux Desktop 7.0 Version Details Vulnerabilities
4 OS Redhat Enterprise Linux Server 6.0 Version Details Vulnerabilities
5 OS Redhat Enterprise Linux Server 7.0 Version Details Vulnerabilities
6 OS Redhat Enterprise Linux Server Aus 7.3 Version Details Vulnerabilities
7 OS Redhat Enterprise Linux Server Aus 7.4 Version Details Vulnerabilities
8 OS Redhat Enterprise Linux Server Eus 7.3 Version Details Vulnerabilities
9 OS Redhat Enterprise Linux Server Eus 7.4 Version Details Vulnerabilities
10 OS Redhat Enterprise Linux Server Eus 7.5 Version Details Vulnerabilities
11 OS Redhat Enterprise Linux Workstation 6.0 Version Details Vulnerabilities
12 OS Redhat Enterprise Linux Workstation 7.0 Version Details Vulnerabilities
13 Application Spice Project Spice 0.5.2 Version Details Vulnerabilities
14 Application Spice Project Spice 0.5.3 Version Details Vulnerabilities
15 Application Spice Project Spice 0.6.0 Version Details Vulnerabilities
16 Application Spice Project Spice 0.6.1 Version Details Vulnerabilities
17 Application Spice Project Spice 0.6.2 Version Details Vulnerabilities
18 Application Spice Project Spice 0.6.3 Version Details Vulnerabilities
19 Application Spice Project Spice 0.6.4 Version Details Vulnerabilities
20 Application Spice Project Spice 0.7.0 Version Details Vulnerabilities
21 Application Spice Project Spice 0.7.1 Version Details Vulnerabilities
22 Application Spice Project Spice 0.7.2 Version Details Vulnerabilities
23 Application Spice Project Spice 0.7.3 Version Details Vulnerabilities
24 Application Spice Project Spice 0.8.0 Version Details Vulnerabilities
25 Application Spice Project Spice 0.8.1 Version Details Vulnerabilities
26 Application Spice Project Spice 0.8.2 Version Details Vulnerabilities
27 Application Spice Project Spice 0.8.3 Version Details Vulnerabilities
28 Application Spice Project Spice 0.9.0 Version Details Vulnerabilities
29 Application Spice Project Spice 0.9.1 Version Details Vulnerabilities
30 Application Spice Project Spice 0.10.0 Version Details Vulnerabilities
31 Application Spice Project Spice 0.10.1 Version Details Vulnerabilities
32 Application Spice Project Spice 0.11.0 Version Details Vulnerabilities
33 Application Spice Project Spice 0.11.3 Version Details Vulnerabilities
34 Application Spice Project Spice 0.12.0 Version Details Vulnerabilities
35 Application Spice Project Spice 0.12.2 Version Details Vulnerabilities
36 Application Spice Project Spice 0.12.3 Version Details Vulnerabilities
37 Application Spice Project Spice 0.12.4 Version Details Vulnerabilities
38 Application Spice Project Spice 0.12.5 Version Details Vulnerabilities
39 Application Spice Project Spice 0.12.6 Version Details Vulnerabilities
40 Application Spice Project Spice 0.12.7 Version Details Vulnerabilities
41 Application Spice Project Spice 0.12.8 Version Details Vulnerabilities
42 Application Spice Project Spice 0.13.0 Version Details Vulnerabilities
43 Application Spice Project Spice 0.13.1 Version Details Vulnerabilities
44 Application Spice Project Spice 0.13.2 Version Details Vulnerabilities
45 Application Spice Project Spice 0.13.3 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Debian Debian Linux 1
Redhat Enterprise Linux Desktop 2
Redhat Enterprise Linux Server 2
Redhat Enterprise Linux Server Aus 2
Redhat Enterprise Linux Server Eus 3
Redhat Enterprise Linux Workstation 2
Spice Project Spice 33

- References For CVE-2016-9577

https://www.debian.org/security/2017/dsa-3790
DEBIAN DSA-3790
https://access.redhat.com/errata/RHSA-2017:0552
REDHAT RHSA-2017:0552
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2016-9577 CONFIRM
https://access.redhat.com/errata/RHSA-2017:0254
REDHAT RHSA-2017:0254
http://rhn.redhat.com/errata/RHSA-2017-0253.html
REDHAT RHSA-2017:0253
http://rhn.redhat.com/errata/RHSA-2017-0549.html
REDHAT RHSA-2017:0549
http://www.securityfocus.com/bid/96040
BID 96040 Spice CVE-2016-9577 Buffer Overflow Vulnerability Release Date:2017-02-11

- Metasploit Modules Related To CVE-2016-9577

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.